#! /bin/sh
# edit this file to reflect your local machine's software and hardware
# configuration.  This is called (via bourne shell "." keyword) by the
# pdrp shell.  The $libdir variable is set as in /usr/local/lib/pdrp.

# a text editor:
EDITOR=/usr/bin/X11/nedit

# flags to send Pd:
PDSETTINGS="-inchannels 2 -outchannels 2 -rt -audiobuf 15"

# higher latency setting (when we might be more graphics-intensive)
PDHIGHLATENCY="-inchannels 2 -outchannels 2 -rt -audiobuf 50"

# location of Pd executable:
PD="/home/msp/pd/bin/pd"

export EDITOR PDSETTINGS PDHIGHLATENCY PD

# Put other setup commands here as desired, such as, for audio.
# here is a possible OSS setup:
# aumix -f $libdir/local/aumixrc-stereo -L > /dev/null
# or for alsa:
# /usr/sbin/alsactl -f asound.state restore

/usr/sbin/alsactl -f $libdir/local/asound.state restore
